include:
  - template: 'Workflows/MergeRequest-Pipelines.gitlab-ci.yml'

variables:
  HELM_VERSION: v3.7.1

default:
  before_script:
    - . scripts/functions.sh
    - install_pkgs
    - install_helm
    - |
      if [[ "$CI_COMMIT_BRANCH" = "$CI_DEFAULT_BRANCH" ]]; then
        channel=stable
      else
        channel="$(echo "${CI_MERGE_REQUEST_SOURCE_BRANCH_NAME:-$CI_COMMIT_BRANCH}" | tr /. _)"
      fi


sealed-secrets:
  stage: build
  image: debian:bullseye-20210927
  needs: []
  variables:
    SEALED_SECRETS_CHART_VERSION: 1.16.1
  script:
    - git clone https://github.com/bitnami-labs/sealed-secrets sealed-secrets
    - cd sealed-secrets
    - git reset --hard "helm-v$SEALED_SECRETS_CHART_VERSION"
    - git remote add --fetch sathieu-origin https://github.com/sathieu/sealed-secrets 
  ## Adding hotfixes
    - git config user.name "noop" && git config user.email "noop"
    # - git merge --no-signoff --no-verify  sathieu-origin/patch-1  # FIXME https://github.com/bitnami-labs/sealed-secrets/issues/502
    - git merge --no-signoff --no-verify  sathieu-origin/servicemonitor-annotations
    - version="$SEALED_SECRETS_CHART_VERSION-kubitus"
    - echo "channel=$channel version=$version"
    - helm package helm/sealed-secrets/ --version "$version"
    - helm repo add --username gitlab-ci-token --password "$CI_JOB_TOKEN" $channel "$CI_API_V4_URL/projects/$CI_PROJECT_ID/packages/helm/$channel"
    - helm cm-push "sealed-secrets-$version.tgz" $channel
